Change in osmo-ci[master]: update-osmo-ci-slaves: Fail jenkins jobs on script failure

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

pespin gerrit-no-reply at lists.osmocom.org
Wed Feb 26 14:33:02 UTC 2020


pespin has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ci/+/17275 )


Change subject: update-osmo-ci-slaves: Fail jenkins jobs on script failure
......................................................................

update-osmo-ci-slaves: Fail jenkins jobs on script failure

It's been noted that jenkins job update-osmo-ci-on-slaves succeeds even
if make script called by some children function fails:

"""
../make/Makefile:57: recipe for target 'docker-build' failed
make: *** [docker-build] Terminated
make: Leaving directory '/home/osmocom-build/osmo-ci/_docker_playground/debian-stretch-jenkins'
+ exit 1
Finished: SUCCESS
"""

Change-Id: Iab9bc49eebee0f42657ff3ab5ffaa10315446440
---
M scripts/common.sh
M scripts/osmo-ci-docker-rebuild.sh
2 files changed, 3 insertions(+), 1 deletion(-)



  git pull ssh://gerrit.osmocom.org:29418/osmo-ci refs/changes/75/17275/1

diff --git a/scripts/common.sh b/scripts/common.sh
index 1c2dfe0..af7c354 100644
--- a/scripts/common.sh
+++ b/scripts/common.sh
@@ -153,6 +153,7 @@
 
 	# Subshell: run docker_images_require from jenkins-common.sh, pass all arguments
 	(. ../jenkins-common.sh; docker_images_require "$@")
-
+	ret=$?
 	cd "$oldpwd"
+	return $ret
 }
diff --git a/scripts/osmo-ci-docker-rebuild.sh b/scripts/osmo-ci-docker-rebuild.sh
index 943b5a0..6a1cc27 100755
--- a/scripts/osmo-ci-docker-rebuild.sh
+++ b/scripts/osmo-ci-docker-rebuild.sh
@@ -1,4 +1,5 @@
 #!/bin/sh
+set -e -x
 cd "$(dirname "$0")/.."
 . scripts/common.sh
 docker_images_require \

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-ci/+/17275
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Change-Id: Iab9bc49eebee0f42657ff3ab5ffaa10315446440
Gerrit-Change-Number: 17275
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin at sysmocom.de>
Gerrit-MessageType: newchange
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20200226/a89a4ac5/attachment.htm>


More information about the gerrit-log mailing list